import ZxDatePicker from './zx-date-picker'
import ZxCommonTable from './table/zx-common-table'
import ZxAppSelect from './select/zx-app-select'
import ZxAppSelect1 from './select/zx-app-select1'
import ZxAppSelect2 from './select/zx-app-select2'
import ZxAppSelect3 from './select/zx-app-select3'
import ZxSourceSelect from './select/zx-source-select'
import ZxAppSelectid from './select/zx-app-selectid'
import ZxGpaccountSelect from './select/zx-gpaccount-select'
import ZxTabel from './table/zx-table'

export default {
  install: (Vue) => {
    Vue.component('zx-date-picker', ZxDatePicker)
    Vue.component('zx-common-table', ZxCommonTable)
    Vue.component('zx-app-select', ZxAppSelect)
    Vue.component('zx-app-select1', ZxAppSelect1)
    Vue.component('zx-app-select2', ZxAppSelect2)
    Vue.component('zx-app-select3', ZxAppSelect3)
    Vue.component('zx-source-select', ZxSourceSelect)
    Vue.component('zx-app-selectid', ZxAppSelectid)
    Vue.component('zx-gpaccount-select', ZxGpaccountSelect)
    Vue.component('zx-table', ZxTabel)
  }
}
